cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/audio' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"items": [
{
"id": "ad118d28-e741-45a5-b942-b284fb653a77",
"type": "audio",
"source": "generated",
"brandSessionId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"workspaceId": null,
"mimeType": "audio/mpeg",
"url": "https://assets.acme.com/atlas-pro/voiceover.mp3",
"fileSize": 128000,
"durationMs": 8000,
"width": null,
"height": null,
"description": "Atlas Pro launch voiceover.",
"inLibrary": true,
"addedToLibraryAt": "2026-10-24T09:00:00.000Z",
"generationId": null,
"createdAt": "2026-10-24T09:00:00.000Z"
}
],
"nextCursor": null,
"hasMore": false
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}Audio
List audio files
List audio files across your brands, newest first.
GET
/
audio
cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/audio' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"items": [
{
"id": "ad118d28-e741-45a5-b942-b284fb653a77",
"type": "audio",
"source": "generated",
"brandSessionId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"workspaceId": null,
"mimeType": "audio/mpeg",
"url": "https://assets.acme.com/atlas-pro/voiceover.mp3",
"fileSize": 128000,
"durationMs": 8000,
"width": null,
"height": null,
"description": "Atlas Pro launch voiceover.",
"inLibrary": true,
"addedToLibraryAt": "2026-10-24T09:00:00.000Z",
"generationId": null,
"createdAt": "2026-10-24T09:00:00.000Z"
}
],
"nextCursor": null,
"hasMore": false
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}Authorizations
apiKeybeareroauth
Query Parameters
Was this page helpful?